<?php
$output = $el_id = $el_class = $bg_image = $bg_color = $bg_image_repeat = $font_color = $padding = $margin_bottom = $css = $full_width = '';
extract(shortcode_atts(array(
	'el_class'        => '',
	'bg_image'        => '',
	'full_width_row'  => '',
	'bg_color'        => '',
	'bg_image_repeat' => '',
	'font_color'      => '',
	'padding'         => '',
	'margin_bottom'   => '',
	'full_width' => false,
	'css' => '',
	'el_id' => ''
), $atts));

wp_enqueue_script( 'wpb_composer_front_js' );

$el_class = $this->getExtraClass($el_class);
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'vc_row wpb_row ' . ( $this->settings( 'base' ) === 'vc_row_inner' ? 'vc_inner ' : '' ) . get_row_css_class() . $el_class . vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );
$style = $this->buildStyle($bg_image, $bg_color, $bg_image_repeat, $font_color, $padding, $margin_bottom);
$sidebar_position = MAD_HELPER::template_layout_class('sidebar_position');
?>
<div <?php if (isset($el_id) && !empty($el_id)): ?>id="<?php echo esc_attr($el_id) ?>"<?php endif; ?> <?php echo $style; ?> class="<?php if (empty($bg_image_repeat) && strpos($css, 'background-image')) { echo 'bg-section-image '; } ?><?php echo esc_attr( $css_class ); ?><?php if ( $full_width == 'stretch_row_content_no_spaces' ): echo ' vc_row-no-padding'; endif; ?>" <?php if ( ! empty( $full_width ) ) {
	echo ' data-vc-full-width="true"';
	if ( $full_width == 'stretch_row_content' || $full_width == 'stretch_row_content_no_spaces' ) {
		echo ' data-vc-stretch-content="true"';
	}
} ?>>
	<?php echo wpb_js_remove_wpautop($content); ?>
</div><?php echo $this->endBlockComment( 'row' ); ?>

<?php if ( ! empty( $full_width ) ) { echo '<div class="vc_row-full-width"></div>'; } ?>